
TextCritical.net - Bug #2027

Cannot add a new wiki article (404 error)

08/27/2017 05:02 AM - Luke Murphey

Status: Closed Start date: 08/27/2017

Priority: High Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.2   

Description

History

#1 - 08/27/2017 05:10 AM - Luke Murphey

- Priority changed from Normal to High

#2 - 09/05/2017 05:07 AM - Luke Murphey

- Target version changed from 1.6 to 2.0

#3 - 10/05/2018 05:44 PM - Luke Murphey

- Target version changed from 2.0 to 2.1

#4 - 10/24/2018 05:41 AM - Luke Murphey

- Target version changed from 2.1 to 2.2

#5 - 10/24/2018 06:45 PM - Luke Murphey

Observations:

The local server works fine

Questions:

Does this work locally (not through the reverse proxy)?

It does not

Are any other pages affected?

Doesn't appear like it

What do the logs say?

Error related to contenttypes

What is the content of the MySQL database?

What version of django is the web-server using?

Would running the migration help?

Should an sqlite DB be used?

Possible causes:

Reverse proxy is passing the request through to static server
#6 - 10/24/2018 06:58 PM - Luke Murphey

2018-10-24 13:44:50,741 CST [ERROR] django.request: Internal Server Error: /admin/reader/wikiarticle/199/

Traceback (most recent call last):

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/core/handlers/base.py", line

 132, in get_response

    response = wrapped_callback(request, *callback_args, **callback_kwargs)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/contrib/admin/options.py", l

ine 618, in wrapper

    return self.admin_site.admin_view(view)(*args, **kwargs)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/utils/decorators.py", line 1

10, in _wrapped_view

    response = view_func(request, *args, **kwargs)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/views/decorators/cache.py", 

line 57, in _wrapped_view_func

    response = view_func(request, *args, **kwargs)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/contrib/admin/sites.py", lin

e 233, in inner

    return view(request, *args, **kwargs)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/contrib/admin/options.py", l

ine 1521, in change_view

    return self.changeform_view(request, object_id, form_url, extra_context)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/utils/decorators.py", line 3

4, in _wrapper

    return bound_func(*args, **kwargs)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/utils/decorators.py", line 1

10, in _wrapped_view

    response = view_func(request, *args, **kwargs)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/utils/decorators.py", line 3

0, in bound_func

    return func.__get__(self, type(self))(*args2, **kwargs2)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/utils/decorators.py", line 1

45, in inner

    return func(*args, **kwargs)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/contrib/admin/options.py", l

ine 1515, in changeform_view

    return self.render_change_form(request, context, add=add, change=not add, obj=obj, form_url=form_url)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/contrib/admin/options.py", l

ine 1123, in render_change_form

    'content_type_id': get_content_type_for_model(self.model).pk,

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/contrib/admin/options.py", l

ine 65, in get_content_type_for_model

    return ContentType.objects.get_for_model(obj, for_concrete_model=False)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/contrib/contenttypes/models.

py", line 80, in get_for_model

    "Error creating new content types. Please make sure contenttypes " 

RuntimeError: Error creating new content types. Please make sure contenttypes is migrated before trying to mig

rate apps individually.

https://stackoverflow.com/questions/29917442/error-creating-new-content-types-please-make-sure-contenttypes-is-migrated-befo

https://www.phodal.com/blog/django-18-error-creating-new-contentypes/

https://github.com/phodal/phodaldev/issues/21

https://code.djangoproject.com/ticket/25100
#7 - 11/08/2018 06:40 AM - Luke Murphey

Will need to ensure:

settings.py points to the SQLlite DB

Migration script properly copies over the database

#8 - 11/08/2018 05:07 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
